
package com.tmerclub.cloud.multishop.constant;

/**
 * 店铺钱包金额类型
 * 金额类型 0 未结算金额 1可提现金额  2冻结金额
 *
 * @author tmerclub
 */
public enum NoticeType {

    /**
     * 平台公告
     */
    TO_MULTISHOP(1, "商家端展示"),

    /**
     * 商城公告
     */
    TO_USER(2, "用户端展示"),

    /**
     * 在供应商端展示
     */
    TO_SUPPLIER(3, "供应商端展示");

    private final Integer num;

    private final String shopWalletAmountType;

    public Integer value() {
        return num;
    }

    public String getShopWalletAmountType() {
        return shopWalletAmountType;
    }

    NoticeType(Integer num, String shopWalletAmountType) {
        this.num = num;
        this.shopWalletAmountType = shopWalletAmountType;
    }

    public static NoticeType instance(Integer value) {
        NoticeType[] enums = values();
        for (NoticeType statusEnum : enums) {
            if (statusEnum.value().equals(value)) {
                return statusEnum;
            }
        }
        return null;
    }
}
